%global momorel 1
%global artsver 1.5.4
%global artsrel 1m
%global qtver 3.3.5
%global kdever 3.5.4
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: A powerfull batch renamer for KDE
Name: krename
Version: 3.0.12
Release: %{momorel}m
License: GPL
URL: http://www.krename.net/
Group: User Interface/X
%NoSource 0 http://dl.sourceforge.net/sourceforge/krename/%{name}-%{version}.tar.bz2 55a2747f6686044270a5349882bd9985
Patch0: %{name}-3.0.11-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}, arts-devel >= %{artsver}-%{artsrel}, kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: libart_lgpl-devel, zlib-devel, libpng-devel, libjpeg-devel
BuildPreReq: desktop-file-utils

%description
Krename is a very powerful batch file renamer for KDE3 which can rename
a list of files based on a set of expressions. It can copy/move the files
to another directory or simply rename the input files.
Krename supports many conversion operations, including conversion of a 
filename to lowercase or to uppercase, conversion of the first letter
of every word to uppercase, adding numbers to filenames, finding and
replacing parts of the filename, and many more.
It can also change access and modification dates, permissions, and file
ownership.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/krename.png %{buildroot}%{_datadir}/pixmaps/krename.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category X-KDE-Utilities-File \
  --add-category Application \
  %{buildroot}%{_datadir}/applications/kde/krename.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/krename
%{_datadir}/applications/kde/krename.desktop
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/apps/krename
%{_datadir}/doc/HTML/*/krename
%{_datadir}/icons/*/*/apps/krename.png
%{_datadir}/locale/*/LC_MESSAGES/krename.mo
%{_datadir}/pixmaps/krename.png

%changelog
* Tue Oct 24 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.12-1m)
- version 3.0.12

* Wed Apr 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.11-2m)
- add X-KDE-Utilities-File to Categories of krename.desktop

* Wed Mar  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.11-1m)
- initial package for Momonga Linux (thanks, JW)
